# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::PolygonSimplifier::QErr Class Reference

The quadric error metric as defined by PolygonSimplifier. More...

`#include <PolygonSimplifier.hpp>`

List of all members.

## Public Member Functions

| QErr ()
| QErr (const dvec3 &n, double d, double w=1.0)
dmat3 | matrix () const
dvec3 | vector () const
double | offset () const
double | evaluate (const dvec3 &v) const
bool | analyticSolution (dvec3 &v) const
QErr | operator+ (const QErr &other)
const QErr & | operator+= (const QErr &other)

## Protected Attributes

double | a2
double | ab
double | ac
double | ad
double | b2
double | bc
double | bd
double | c2
double | cd
double | d2

## Detailed Description

The quadric error metric as defined by PolygonSimplifier.

Definition at line 60 of file PolygonSimplifier.hpp.

## Constructor & Destructor Documentation

vl::PolygonSimplifier::QErr::QErr | ( | ) | `[inline]`

Definition at line 63 of file PolygonSimplifier.hpp.

vl::PolygonSimplifier::QErr::QErr | ( | const dvec3 & | n,
|  | double | d,
|  | double | w = `1.0`
| ) |  | `[inline]`

Definition at line 77 of file PolygonSimplifier.hpp.

References VL_CHECK, vl::Vector3< T_Scalar >::x(), vl::Vector3< T_Scalar >::y(), and vl::Vector3< T_Scalar >::z().

## Member Function Documentation

dmat3 vl::PolygonSimplifier::QErr::matrix | ( | ) | const`[inline]`

Definition at line 94 of file PolygonSimplifier.hpp.

dvec3 vl::PolygonSimplifier::QErr::vector | ( | ) | const`[inline]`

Definition at line 102 of file PolygonSimplifier.hpp.

double vl::PolygonSimplifier::QErr::offset | ( | ) | const`[inline]`

Definition at line 107 of file PolygonSimplifier.hpp.

double vl::PolygonSimplifier::QErr::evaluate | ( | const dvec3 & | v ) | const`[inline]`

Definition at line 112 of file PolygonSimplifier.hpp.

References vl::Vector3< T_Scalar >::x(), vl::Vector3< T_Scalar >::y(), and vl::Vector3< T_Scalar >::z().

Referenced by vl::PolygonSimplifier::computeCollapseInfo().

bool vl::PolygonSimplifier::QErr::analyticSolution | ( | dvec3 & | v ) | const`[inline]`

Definition at line 120 of file PolygonSimplifier.hpp.

References vl::Matrix3< T_Scalar >::getInverse().

Referenced by vl::PolygonSimplifier::computeCollapseInfo().

QErr vl::PolygonSimplifier::QErr::operator+ | ( | const QErr & | other ) | `[inline]`

Definition at line 148 of file PolygonSimplifier.hpp.

References a2, ab, ac, ad, b2, bc, bd, c2, cd, and d2.

const QErr& vl::PolygonSimplifier::QErr::operator+= | ( | const QErr & | other ) | `[inline]`

Definition at line 164 of file PolygonSimplifier.hpp.

References a2, ab, ac, ad, b2, bc, bd, c2, cd, and d2.

## Member Data Documentation

double vl::PolygonSimplifier::QErr::a2`[protected]`

Definition at line 181 of file PolygonSimplifier.hpp.

Referenced by operator+(), and operator+=().

double vl::PolygonSimplifier::QErr::ab`[protected]`

Definition at line 181 of file PolygonSimplifier.hpp.

Referenced by operator+(), and operator+=().

double vl::PolygonSimplifier::QErr::ac`[protected]`

Definition at line 181 of file PolygonSimplifier.hpp.

Referenced by operator+(), and operator+=().

double vl::PolygonSimplifier::QErr::ad`[protected]`

Definition at line 181 of file PolygonSimplifier.hpp.

Referenced by operator+(), and operator+=().

double vl::PolygonSimplifier::QErr::b2`[protected]`

Definition at line 182 of file PolygonSimplifier.hpp.

Referenced by operator+(), and operator+=().

double vl::PolygonSimplifier::QErr::bc`[protected]`

Definition at line 182 of file PolygonSimplifier.hpp.

Referenced by operator+(), and operator+=().

double vl::PolygonSimplifier::QErr::bd`[protected]`

Definition at line 182 of file PolygonSimplifier.hpp.

Referenced by operator+(), and operator+=().

double vl::PolygonSimplifier::QErr::c2`[protected]`

Definition at line 183 of file PolygonSimplifier.hpp.

Referenced by operator+(), and operator+=().

double vl::PolygonSimplifier::QErr::cd`[protected]`

Definition at line 183 of file PolygonSimplifier.hpp.

Referenced by operator+(), and operator+=().

double vl::PolygonSimplifier::QErr::d2`[protected]`

Definition at line 184 of file PolygonSimplifier.hpp.

Referenced by operator+(), and operator+=().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/PolygonSimplifier.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.